Bug 736044 - [abrt] xpdf-3.03-1.fc15: DCTStream::transformDataUnit: Process /usr/bin/xpdf was killed by signal 11 (SIGSEGV)
Summary: [abrt] xpdf-3.03-1.fc15: DCTStream::transformDataUnit: Process /usr/bin/xpdf ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:42cd56fb2468048a4967d2cecb1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 14:04 UTC by Otso Helenius
Modified: 2012-08-07 18:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:57:41 UTC


Attachments (Terms of Use)
File: backtrace (53.33 KB, text/plain)
2011-09-06 14:04 UTC, Otso Helenius
no flags Details

Description Otso Helenius 2011-09-06 14:04:55 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        xpdf TAT_1_varit.pdf
comment:        I was viewing a pdf. Seems to crash every time.
component:      xpdf
crash_function: DCTStream::transformDataUnit
executable:     /usr/bin/xpdf
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        xpdf-3.03-1.fc15
reason:         Process /usr/bin/xpdf was killed by signal 11 (SIGSEGV)
time:           Mon Sep  5 23:22:22 2011
uid:            500
username:       piksi
xsession_errors: abrt-applet: repeated crash in xpdf-3.03-1.fc15, not showing the notification

backtrace:      Text file, 54610 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:08bad10bf66ebe542324b597d6ee310019929249
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:d0c6e13f00a20952a72a945c929efb175fd760e3
:ea2fedc2d2d2031c91ca60ad385d77af767f811c
:83eaf534f789338ec43432c66a28bb7680834b45
:585e18f56063dab8934660820f0c63765c6c1a1f
:0911ea7c180d733724f89037b8e8a34e64024aec
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:4c842320387ff7f6f91b7842b223c16518be909f
:569a267ae733b622e35f0f8c66117132dda59205
:fdc09328fea3e060c8a504a8291555b4cd19172a
:1d87720659528ad80e8870da2b2bb4af4470cf66
:91689252818532ec13597b6528d38be93b2706c4
:5e7c7237a025f271e5ed1418cb23420764b09725
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:75e8336c46560f14c7489c882f323ddcce9f0124
:7365f448afe4dded36be5d1e1463de6ddaaf5814
:8259402412ad22b349044efb12fd7c69edb1078c
:8164c04fe43680778d29c2775cef453f494ab62b
:90fe13fac734263f663981ce4d1691cf926ced25
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libXm.so.2.0.1 lesstif-0.95.2-2.fc15.x86_64 (Fedora Project) 1315253900
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312362933
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972895
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972895
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libXp.so.6.2.0 libXp-1.0.0-16.fc15.x86_64 (Fedora Project) 1315253900
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972895
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311063393
:/usr/lib64/libpaper.so.1.1.2 libpaper-1.1.24-2.fc15.x86_64 (Fedora Project) 1315253897
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1305316553
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972895
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305316553
:/usr/bin/xpdf xpdf-1:3.03-1.fc15.x86_64 (Fedora Project) 1315253901
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312362935
:/usr/lib64/libXt.so.6.0.0 libXt-1.1.0-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1313567958

environ:
:SSH_AGENT_PID=1302
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:HOSTNAME=pazuzu
:DM_CONTROL=/var/run/xdmctl
:GPG_AGENT_INFO=/tmp/gpg-Ih79d9/S.gpg-agent:1328:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=7c2b89dcb6bc5175e5dcbd1e0000000b-1314895947.516579-1812012514
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/piksi/.gtkrc-2.0:/home/piksi/.gtkrc-2.0-kde4:/home/piksi/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.79
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/piksi/.gtkrc::/home/piksi/.kde/share/config/gtkrc
:WINDOWID=90177575
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-1P5yAY
:SHELL_SESSION_ID=c2c5204ae16140008ab369a4e02cc0de
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:USER=piksi
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/ssh-gMyPUe1264/agent.1264
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1414,unix/unix:/tmp/.ICE-unix/1414
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/piksi
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin
:PWD=/home/piksi/context
:KDE_SESSION_UID=500
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1262
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/piksi
:COLORFGBG=15;0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=piksi
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-5mIWudpe7C,guid=90597715de9ef2f4d282f77a00000012
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/piksi
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/piksi/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-piksi/xauth-500-_0
:_=/usr/bin/xpdf
:OLDPWD=/home/piksi

maps:
:00400000-00533000 r-xp 00000000 fd:00 49893                              /usr/bin/xpdf
:00733000-00761000 rw-p 00133000 fd:00 49893                              /usr/bin/xpdf
:00761000-00767000 rw-p 00000000 00:00 0 
:024dd000-02b88000 rw-p 00000000 00:00 0                                  [heap]
:38f5600000-38f5607000 r-xp 00000000 fd:00 59164                          /usr/lib64/libSM.so.6.0.1
:38f5607000-38f5806000 ---p 00007000 fd:00 59164                          /usr/lib64/libSM.so.6.0.1
:38f5806000-38f5807000 rw-p 00006000 fd:00 59164                          /usr/lib64/libSM.so.6.0.1
:38f5a00000-38f5a17000 r-xp 00000000 fd:00 59163                          /usr/lib64/libICE.so.6.3.0
:38f5a17000-38f5c16000 ---p 00017000 fd:00 59163                          /usr/lib64/libICE.so.6.3.0
:38f5c16000-38f5c17000 rw-p 00016000 fd:00 59163                          /usr/lib64/libICE.so.6.3.0
:38f5c17000-38f5c1b000 rw-p 00000000 00:00 0 
:3904000000-390405f000 r-xp 00000000 fd:00 59180                          /usr/lib64/libXt.so.6.0.0
:390405f000-390425f000 ---p 0005f000 fd:00 59180                          /usr/lib64/libXt.so.6.0.0
:390425f000-3904265000 rw-p 0005f000 fd:00 59180                          /usr/lib64/libXt.so.6.0.0
:397b600000-397b61f000 r-xp 00000000 fd:00 18280                          /lib64/ld-2.14.so
:397b81e000-397b81f000 r--p 0001e000 fd:00 18280                          /lib64/ld-2.14.so
:397b81f000-397b820000 rw-p 0001f000 fd:00 18280                          /lib64/ld-2.14.so
:397b820000-397b821000 rw-p 00000000 00:00 0 
:397ba00000-397bb8f000 r-xp 00000000 fd:00 61500                          /lib64/libc-2.14.so
:397bb8f000-397bd8f000 ---p 0018f000 fd:00 61500                          /lib64/libc-2.14.so
:397bd8f000-397bd93000 r--p 0018f000 fd:00 61500                          /lib64/libc-2.14.so
:397bd93000-397bd94000 rw-p 00193000 fd:00 61500                          /lib64/libc-2.14.so
:397bd94000-397bd9a000 rw-p 00000000 00:00 0 
:397be00000-397be02000 r-xp 00000000 fd:00 61518                          /lib64/libdl-2.14.so
:397be02000-397c002000 ---p 00002000 fd:00 61518                          /lib64/libdl-2.14.so
:397c002000-397c003000 r--p 00002000 fd:00 61518                          /lib64/libdl-2.14.so
:397c003000-397c004000 rw-p 00003000 fd:00 61518                          /lib64/libdl-2.14.so
:397c600000-397c683000 r-xp 00000000 fd:00 61502                          /lib64/libm-2.14.so
:397c683000-397c882000 ---p 00083000 fd:00 61502                          /lib64/libm-2.14.so
:397c882000-397c883000 r--p 00082000 fd:00 61502                          /lib64/libm-2.14.so
:397c883000-397c884000 rw-p 00083000 fd:00 61502                          /lib64/libm-2.14.so
:397ca00000-397ca15000 r-xp 00000000 fd:00 43577                          /lib64/libgcc_s-4.6.0-20110603.so.1
:397ca15000-397cc14000 ---p 00015000 fd:00 43577                          /lib64/libgcc_s-4.6.0-20110603.so.1
:397cc14000-397cc15000 rw-p 00014000 fd:00 43577                          /lib64/libgcc_s-4.6.0-20110603.so.1
:397da00000-397da1b000 r-xp 00000000 fd:00 61517                          /usr/lib64/libxcb.so.1.1.0
:397da1b000-397dc1a000 ---p 0001b000 fd:00 61517                          /usr/lib64/libxcb.so.1.1.0
:397dc1a000-397dc1b000 rw-p 0001a000 fd:00 61517                          /usr/lib64/libxcb.so.1.1.0
:397de00000-397df39000 r-xp 00000000 fd:00 61519                          /usr/lib64/libX11.so.6.3.0
:397df39000-397e138000 ---p 00139000 fd:00 61519                          /usr/lib64/libX11.so.6.3.0
:397e138000-397e13e000 rw-p 00138000 fd:00 61519                          /usr/lib64/libX11.so.6.3.0
:397e200000-397e202000 r-xp 00000000 fd:00 4690                           /usr/lib64/libXau.so.6.0.0
:397e202000-397e402000 ---p 00002000 fd:00 4690                           /usr/lib64/libXau.so.6.0.0
:397e402000-397e403000 rw-p 00002000 fd:00 4690                           /usr/lib64/libXau.so.6.0.0
:397ea00000-397ea11000 r-xp 00000000 fd:00 61520                          /usr/lib64/libXext.so.6.4.0
:397ea11000-397ec11000 ---p 00011000 fd:00 61520                          /usr/lib64/libXext.so.6.4.0
:397ec11000-397ec12000 rw-p 00011000 fd:00 61520                          /usr/lib64/libXext.so.6.4.0
:397fa00000-397fa04000 r-xp 00000000 fd:00 61522                          /lib64/libuuid.so.1.3.0
:397fa04000-397fc03000 ---p 00004000 fd:00 61522                          /lib64/libuuid.so.1.3.0
:397fc03000-397fc04000 rw-p 00003000 fd:00 61522                          /lib64/libuuid.so.1.3.0
:397fe00000-397fe05000 r-xp 00000000 fd:00 61544                          /usr/lib64/libXfixes.so.3.1.0
:397fe05000-3980005000 ---p 00005000 fd:00 61544                          /usr/lib64/libXfixes.so.3.1.0
:3980005000-3980006000 rw-p 00005000 fd:00 61544                          /usr/lib64/libXfixes.so.3.1.0
:3980200000-39802e8000 r-xp 00000000 fd:00 61511                          /usr/lib64/libstdc++.so.6.0.16
:39802e8000-39804e8000 ---p 000e8000 fd:00 61511                          /usr/lib64/libstdc++.so.6.0.16
:39804e8000-39804f0000 r--p 000e8000 fd:00 61511                          /usr/lib64/libstdc++.so.6.0.16
:39804f0000-39804f2000 rw-p 000f0000 fd:00 61511                          /usr/lib64/libstdc++.so.6.0.16
:39804f2000-3980507000 rw-p 00000000 00:00 0 
:3981e00000-3981e09000 r-xp 00000000 fd:00 61534                          /usr/lib64/libXrender.so.1.3.0
:3981e09000-3982009000 ---p 00009000 fd:00 61534                          /usr/lib64/libXrender.so.1.3.0
:3982009000-398200a000 rw-p 00009000 fd:00 61534                          /usr/lib64/libXrender.so.1.3.0
:3982e00000-3982e09000 r-xp 00000000 fd:00 61545                          /usr/lib64/libXcursor.so.1.0.2
:3982e09000-3983009000 ---p 00009000 fd:00 61545                          /usr/lib64/libXcursor.so.1.0.2
:3983009000-398300a000 rw-p 00009000 fd:00 61545                          /usr/lib64/libXcursor.so.1.0.2
:3b85000000-3b85096000 r-xp 00000000 fd:00 24020                          /usr/lib64/libfreetype.so.6.6.2
:3b85096000-3b85296000 ---p 00096000 fd:00 24020                          /usr/lib64/libfreetype.so.6.6.2
:3b85296000-3b8529c000 rw-p 00096000 fd:00 24020                          /usr/lib64/libfreetype.so.6.6.2
:7f06ef8d6000-7f06ef8d8000 r--p 00000000 fd:00 1530                       /tmp/VdWMJz (deleted)
:7f06efa71000-7f06efa72000 r--p 00000000 fd:00 4733                       /tmp/MtJH7X (deleted)
:7f06efa72000-7f06efab9000 rw-p 00000000 00:00 0 
:7f06efab9000-7f06efac1000 r-xp 00000000 fd:00 49658                      /usr/lib64/libXp.so.6.2.0
:7f06efac1000-7f06efcc1000 ---p 00008000 fd:00 49658                      /usr/lib64/libXp.so.6.2.0
:7f06efcc1000-7f06efcc2000 rw-p 00008000 fd:00 49658                      /usr/lib64/libXp.so.6.2.0
:7f06efcc2000-7f06efcc4000 rw-p 00000000 00:00 0 
:7f06efcc4000-7f06efcc6000 r-xp 00000000 fd:00 47861                      /usr/lib64/libpaper.so.1.1.2
:7f06efcc6000-7f06efec6000 ---p 00002000 fd:00 47861                      /usr/lib64/libpaper.so.1.1.2
:7f06efec6000-7f06efec7000 rw-p 00002000 fd:00 47861                      /usr/lib64/libpaper.so.1.1.2
:7f06efec7000-7f06efec9000 rw-p 00000000 00:00 0 
:7f06efec9000-7f06f0034000 r-xp 00000000 fd:00 49846                      /usr/lib64/libXm.so.2.0.1
:7f06f0034000-7f06f0234000 ---p 0016b000 fd:00 49846                      /usr/lib64/libXm.so.2.0.1
:7f06f0234000-7f06f0251000 rw-p 0016b000 fd:00 49846                      /usr/lib64/libXm.so.2.0.1
:7f06f0251000-7f06f0256000 rw-p 00000000 00:00 0 
:7f06f0276000-7f06f0279000 rw-p 00000000 00:00 0 
:7fff23cde000-7fff23cff000 rw-p 00000000 00:00 0                          [stack]
:7fff23d9b000-7fff23d9c000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Sep  5 23:18:22 pazuzu yum[21282]: Installed: 1:xpdf-3.03-1.fc15.x86_64
:Sep  5 23:22:22 pazuzu kernel: [216784.774828] xpdf[21323]: segfault at 7672ad ip 000000000048690a sp 00007fff23cfba48 error 4 in xpdf[400000+133000]
:Sep  5 23:22:23 pazuzu abrt[21324]: saved core dump of pid 21323 (/usr/bin/xpdf) to /var/spool/abrt/ccpp-2011-09-05-23:22:22-21323.new/coredump (8228864 bytes)

Comment 1 Otso Helenius 2011-09-06 14:04:59 UTC
Created attachment 521676 [details]
File: backtrace

Comment 2 Tom "spot" Callaway 2011-09-06 14:11:59 UTC
Any chance you can provide a copy of the pdf file you're viewing that causes the crash (also, exactly the behavior that causes it will be extremely helpful)?

Comment 3 Otso Helenius 2011-09-06 15:01:28 UTC
Here is a link to the pdf: https://pi-xi.net/share/colorlecture.pdf
it crashes when i try to view the fourth page. Sumatra PDF, Okular and Google Docs show the PDF correctly. Please tell when you've downloaded the PDF.

Comment 4 Fedora End Of Life 2012-08-07 18:57:43 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.